/// <reference types="react" />
interface ReCaptchaProps {
    onValidate: (token: string) => void;
    action: string;
    validate?: boolean;
    reCaptchaKey?: string;
}
/** React Component to generate ReCaptcha token
 * @example
 * <ReCaptcha action='form-submit' onValidate={handleToken} />
 */
declare const ReCaptcha: React.FC<ReCaptchaProps>;
export { ReCaptcha };
export type { ReCaptchaProps };
